locked
How to change SSIS 2012 package to point to .Net framework 4.5 RRS feed

  • Question

  • User-73514677 posted

    Hi,

    I am using SSIS 2012 which I am trying to upgrade to .NET framework 4.5. I am using VS 2015.

    How to upgrade to .NET framework 4.5. The current version is 4.0. I am using VB.NET

    I tried to do this:

    From the solution explorer - properties - compile option - Advanced compile settings - Framework related dropdown is not available.

    Thanks

    Monday, July 2, 2018 1:27 PM

All replies

  • User409696431 posted

    You need framework 4.5 installed on your machine.  Is it?   Also, for SSIS, are you using Microsoft Visual Studio Tools for Applications?  (https://www.microsoft.com/en-us/download/details.aspx?id=56046 )

    Monday, July 2, 2018 2:23 PM
  • User36583972 posted


    Hi venkatzeus,

    I am using SSIS 2012 which I am trying to upgrade to .NET framework 4.5. I am using VS 2015.

    How to upgrade to .NET framework 4.5. The current version is 4.0. I am using VB.NET

    You may can change the .Net Framework version in SISS 2012 Script Task. For more details, please refer to the following blog:
    http://microsoft-ssis.blogspot.com/2012/05/changing-net-framework-version-in-ssis.html

    If you have any question about SQL Server Integration Services, you can go to the SQL Server Integration Services forum for getting suitable help.


    Best Regards,

    Yong Lu

    Tuesday, July 3, 2018 3:09 AM
  • User409696431 posted

    I believe your link is what the venkatzeus tried.  That is why I asked if he was using Microsoft Visual Studio Tools for Applications, since your link states "Edit the Script Task or Script Component so that vsta editor is open".

    vsta = Visual Studio Tools for Applications.

    Tuesday, July 3, 2018 6:09 AM